import { Meta, Story, Preview } from '@storybook/addon-docs/blocks';
import { SongCard } from './SongCard';
import IconButtonMenu from '../../buttons/IconButtonMenu';
import { SongPlaylistSelect } from '../../inputs/SongPlaylistSelect';
import MenuItem from '@material-ui/core/MenuItem';
import { songMocks } from '../../data/mockups';
import { songPlaylistMocks } from '../../data/mockups';

<Meta title="Cards/SongCard" component={SongCard} />

# SongCard
 
A simple card for a song
    
<Preview>
  <Story name="default">
    <SongCard song={songMocks.sample()} />
  </Story>
  <Story name="with action">
    <SongCard
        song={songMocks.sample()}
        action={(
          <IconButtonMenu>
              <MenuItem>Edit</MenuItem>
          </IconButtonMenu>
        )}
    />
  </Story>
  <Story name="with action 2">
    <SongCard
        song={songMocks.sample()}
        action={
            <SongPlaylistSelect
                playlists={songPlaylistMocks.samples(3)}
            />
        }
    />
  </Story>
</Preview>